View Issue Details

IDProjectCategoryView StatusLast Update
0001234SOGoWeb Generalpublic2020-07-30 15:17
Reporterludovic Assigned Tofrancis  
PrioritylowSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Fixed in Version5.0.0 
Summary0001234: New mail popup in the Calendar or Contacts module
Description

When we are in the Calendar or the Contacts module, it would be nice nice, if the mail module is activated and the user has chosen so, to be informed using a popup for new mails.

That way, we don't have to go to the Mail module, see we have nothing and go back to the Calendar module (for example).

TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

sogo: master 8205acc5

2020-07-29 16:31:19

francis

Details Diff
feat(web): support desktop notifications, add global inbox polling

Fixes 0001234, fixes 0003382, fixes 0004295
Affected Issues
0001234, 0003382, 0004295
mod - UI/PreferencesUI/English.lproj/Localizable.strings Diff File
mod - UI/Templates/MailerUI/UIxMailFolderTemplate.wox Diff File
mod - UI/Templates/PreferencesUI/UIxPreferences.wox Diff File
rm - UI/WebServerResources/js/Common/Alarm.service.js Diff File
mod - UI/WebServerResources/js/Common/navController.js Diff File
mod - UI/WebServerResources/js/Common/utils.js Diff File
mod - UI/WebServerResources/js/Mailer/MailboxController.js Diff File
mod - UI/WebServerResources/js/Preferences/Preferences.service.js Diff File
mod - UI/WebServerResources/js/Preferences/PreferencesController.js Diff File
mod - UI/WebServerResources/js/Scheduler/CalendarListController.js Diff File
mod - UI/WebServerResources/js/Scheduler/ComponentController.js Diff File

sogo: master 87cf5b47

2020-07-30 15:13:15

francis

Details Diff
feat(web): support desktop notifications, add global inbox polling

Fixes 0001234, fixes 0003382, fixes 0004295
Affected Issues
0001234, 0003382, 0004295
mod - UI/MailerUI/UIxMailListActions.m Diff File

Issue History

Date Modified Username Field Change
2011-04-05 21:08 ludovic New Issue
2011-04-05 21:08 ludovic Summary New mail popup in the Calendar our Contacts module => New mail popup in the Calendar or Contacts module
2017-05-30 15:48 ludovic Status new => resolved
2017-05-30 15:48 ludovic Resolution open => fixed
2017-05-30 15:48 ludovic Assigned To => ludovic
2017-05-30 15:53 ludovic Resolution fixed => open
2017-05-30 16:04 francis Assigned To ludovic => francis
2017-05-30 16:04 francis Status resolved => new
2020-07-29 16:40 francis Changeset attached => sogo master 8205acc5
2020-07-29 16:40 francis Resolution open => fixed
2020-07-29 16:41 francis Status new => resolved
2020-07-29 16:41 francis Fixed in Version => 5.0.0
2020-07-30 15:17 francis Changeset attached => sogo master 87cf5b47